\ adc-commands.fs -- ADC standalone commands -- 24Oct13 rjn
\
] here

: a12  \ adc on p.1.2
   enable-adc  half-gain  ref=165  12-bit-1  burst-enabled  p12-select aread  dh. ;

-: (rt)   \ read temperature
   enable-adc  full-gain  ref=165  13-bit    burst-enabled  tsense-select
   tsense-on  1 # |ms ( ?)  aread  tsense-off ;

: th  (rt) dh. ;  \ display temp in hex

: td  (rt) ud. ;   \ display temp in decimal 

: mth  10 # 4 #for cr th 250 # |ms  4 #next ;
: mtd  10 # 4 #for cr td 250 # |ms  4 #next ;
\ 
here  [ swap -  ( -- n)
cs? [if] cr .( adc-commands.fs    ) . .( bytes) [else] drop [then] 
]
\ 
\ 
0 [if] ------------------------[ revisions ]-----------------------------------
\ 
Date	   By  Comment
=======	=== ===================================================================
24Oct13  rjn split out analog registers (now analog.fs)
22Oct13  rjn original version -- split out ADC words from commands.fs
\ 
[then] \ ----------------------------------------------------------------------


