\ serial.fs -- serial I/O, send serial string -- 20Sep13 rjn
\ 
] here
\ 
\ -----[ serial I/O ]
\ needed for standalone, tether and debug
\ cpuHere constant emit? 1 cpuAllot  \ true=emit, false=silent
\ 
\ -: respond      $ff # emit? #! ;
\ -: silent         0 # emit? #! ;
\ 
-: (emit) ( c -)   begin 1 .SCON0 until. 1 .SCON0 clr SBUF0 #! ;
\ : emit  ( c -)   emit? #@ if drop (emit) ; then drop drop ;
-: emit (emit) ;
\ 
-: key  ( - c)   begin 0 .SCON0 until. 0 .SCON0 clr SBUF0 #@ ;
\ 
[ \ Gforth -- words needed to stimulate serial I/O
: isend  $13 emit-s  ;  \ send cmd to ipp
: isend=  isend key-s ; \ send and expect a one-byte reply
] \ myforth
\ 
:m ser-type ( da) p! |@p+ begin |@p+ (emit) 1- 0=until drop m;
:m " 34 parse here there place here there [ c@ 1 + ] allot m;
-: string pop pop swap ser-type ;
\ 
\ example:
\ : my$  string " my string"
\ : mystring my$ ;  \ sends string to serial port
\ 
here ( stop marker) [ swap -  ( -- n)
cs? [if] cr .( serial.fs           ) . .( bytes) [else] drop [then]
]
\
\
0 [if] ------------------------[ revisions ]-----------------------------------
\ 
Date	   By  Comment
=======	=== ===================================================================
20Sep13  rjn modified according to serial.fs from mide
13Aug13  rjn compiled version string in job.fs
12Aug13  rjn consolodated serial I/O, strings -- moved revision string to job.fs
10Aug13  rjn changed for conditional compilation summary
31Jul13  rjn changed to always emit using (emit) 
01Aug12  rjn cut from dds-commands.fs
\ 
[then] \ ----------------------------------------------------------------------


