\ serial.fs -- DACS serial I/O -- 31Sep13 rjn
\ 
] here
\ 
\ -----[ serial I/O ]
\ 
\ cpuHere constant emit? 1 cpuAllot  \ true=emit, false=silent
\ 
\ -: respond      $ff # emit? #! ;
\ -: silent         0 # emit? #! ;
\ 
-: (emit) ( c -)   begin 1 .SCON until. 1 .SCON clr SBUF #! ;
\ : emit  ( c -)   emit? #@ if drop (emit) ; then drop drop ;
\ -: emit drop ;
-: emit  (emit) ;  \ 130931 rjn
\ -: emit (emit) ;
-: key  ( - c)     begin 0 .SCON until. 0 .SCON clr SBUF #@ ; 
\ 
[ \ Gforth
: isend  $13 emit-s  ;  \ send cmd to ipp
: isend=  isend key-s ; \ send and expect a one-byte reply
] \ myforth
\ 
:m ser-type ( da) p! |@p+ begin |@p+ (emit) 1- 0=until drop m;
:m " 34 parse here there place here there [ c@ 1 + ] allot m;
-: string pop pop swap ser-type ;
\ 
\ example:
\ : mystring  string " my string"
\ mystring  ( sends string to serial port)

here ( stop marker) [ swap -  ( -- n)
cs? [if] cr .( serial.fs           ) . .( bytes) [else] drop [then]
]
\
\
0 [if] ------------------------[ revisions ]-----------------------------------
\ 
Date	   By  Comment
=======	=== ===================================================================
09Sep13  rjn original version for mote serial I/O (myforth and Gforth)
\ 
[then] \ ----------------------------------------------------------------------


